OpenNMS API 1.2.9

## org.opennms.web.map
Class MapNodeFactory

    java.lang.Object
      org.opennms.web.map.MapNodeFactory

public class MapNodeFactory
extends java.lang.Object

this class encapsulates the issue of generating a Collection of Nodes and somehow transforming them into an appropriate class that the DocumentGenerator knows how to deal with. (i.e. I can make MapNodes myself, as seen in getTestNodes() or I can get the node data from some external source and convert it into the appropriate context as seen in getOpenNMSNodes()

Author:
  Derek Glidden , NKSi

Constructor Summary
`MapNodeFactory()`

Method Summary
`java.util.Vector` `getNodes()` hide how we're really getting our node data
`java.util.Vector` `getOpenNMSNodes()` get node data from OpenNMS and massage it into the appropriate form for the MapNode class
`java.util.Vector` `getTestNodes()` generate a bunch of made-up nodes with generic node data in them.
`private void` `log(java.lang.String message)` log a message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapNodeFactory

    public MapNodeFactory()

Method Detail

### log

    private void log(java.lang.String message)

  log a message. for now, just spit to System.err

### getNodes

    public java.util.Vector getNodes()

  hide how we're really getting our node data

### getOpenNMSNodes

    public java.util.Vector getOpenNMSNodes()

  get node data from OpenNMS and massage it into the appropriate form for the MapNode class

### getTestNodes

    public java.util.Vector getTestNodes()

  generate a bunch of made-up nodes with generic node data in them. This won't really work as expected anymore because the IPAddress display has been replaced with RTC display.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.